;;; ===========================================================================
;;; ===========================================================================
;;; == OBJECTS DEFINITION
;;; == FILE NAME: object_definitions.clp
;;; ==
;;; == SPECS:     This file contains the definitions for the instances of the
;;; ==            classes used in this project.
;;; ==            
;;; ==            The following instances are defined:
;;; ==            
;;; ==            - track: Instance of class TRACK
;;; ==            - raceconditions: Instance of RACECONDITIONS
;;; ==            - driver: Instance of DRIVER
;;; ==            - racecar: Instance of RACECAR
;;; ==
;;; ===========================================================================
;;; ===========================================================================

;;; ===========================================================================
;;; ==                        INSTANCE DEFINITIONS
;;; ===========================================================================

(definstances SINGLETON-INSTANCES
	(track of TRACK)
	(raceconditions of RACECONDITIONS)
)

(definstances DRIVER-INSTANCES

	(driver of DRIVER 
		(driver_name "Felipe Massa")
		(driver_breaking-style late)
		(driver_passing-skills 4)
		(driver_aggressiveness 3))
)

(definstances RACECAR-INSTANCES

	(racecar of RACECAR 
		(racecar_engine-fuel-capacity 100.0)
		(racecar_engine-fuel-efficiency 1.6)			
	)
)

;;; ===========================================================================
;;; ===========================================================================
;;; ==                       END OF INSTANCE DEFINITIONS
;;; ===========================================================================
;;; ===========================================================================