;;; ===========================================================================
;;; ===========================================================================
;;; == CLASS:     TIRE
;;; == FILE NAME: tire.clp
;;; ==
;;; == SPECS:     This file contains the definitions for the "tire" class.
;;; ==            The following slots (attributes) are defined for the class
;;; ==            and thus for each tire instance (4 tires total):
;;; ==
;;; ==            - Tire pressure
;;; ==            - Tire compound
;;; ==            - Tire type
;;; ==
;;; ===========================================================================
;;; ===========================================================================

;;; ===========================================================================
;;; ==                          CLASS DEFINITION
;;; ===========================================================================

(defclass TIRE
	(is-a USER)
	(role concrete)

;;; ===========================================================================
;;; ==                               SLOTS
;;; ===========================================================================

;;; ===========================================================================
;;; == These slots will presented as part of the results
;;; ===========================================================================

	(slot tire_pressure
		(type FLOAT)
		(default 30.0))

	(slot tire_compound
		(type SYMBOL)
		(allowed-symbols super-soft soft medium hard super-hard)
		(default medium))

	(slot tire_type
		(type SYMBOL)
		(allowed-symbols dry intermediate wet))
)

;;; ===========================================================================
;;; ===========================================================================
;;; ==                          END OF TIRE CLASS
;;; ===========================================================================
;;; ===========================================================================